%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-websocket-1.1-api
Version:          1.1.1
Release:          %mkrel 1
Group:            Development/Java
Summary:          JSR-356: Java WebSocket 1.1 API
License:          CDDL or GPLv2 with exceptions
Url:              https://github.com/jboss/jboss-websocket-api_spec
Source0:          https://github.com/jboss/jboss-websocket-api_spec/archive/%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

BuildArch:        noarch

%description
The JSR-356: Java WebSocket 1.1 API classes.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-websocket-api_spec-%{namedversion}

%pom_remove_plugin :maven-source-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE README

%files javadoc -f .mfiles-javadoc
%license LICENSE README



%changelog
* Sun Jan 01 2017 daviddavid <daviddavid> 1.1.1-1.mga6
+ Revision: 1079228
- update to 1.1.1.Final
- fix BR list and use BR mvn()-like
- introduce license macro
- remove some rpmlint problems
- remove duplicate files

  + neoclust <neoclust>
    - Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.1.0-4.mga6
+ Revision: 976479
- First rebuild of the java stack
- sync package jboss-websocket-1.1-api with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Oct 30 2015 daviddavid <daviddavid> 1.1.0-1.mga6
+ Revision: 896701
- mageiaify spec file
- imported package jboss-websocket-1.1-api

